/* Color Pallete */

:root{
    --color-primary: #00a3d8;
    --color-secondary: #4f4e50;
    --color-accent: #f15a29;
    --color-headings: #202124;
    --color-body: #5f6368;
    --color-border: #ccc;
    --border-radius: 5px;
    --color-body-darker: #5c5577;
}

*, *::after, *::before{
    box-sizing: border-box;
}

/* Typography */

html{
    font-size: 62.5%;
    scroll-behavior:smooth;
}

body{
    font-family: 'Roboto', sans-serif;
    color: var(--color-body);
    font-size: 2.4rem;
    line-height: 1.5;
}

h1, h2, h3{
    color: var(--color-headings);
    margin-bottom: 1rem;
    line-height: 1.1;
}

h1{
    font-size: 7rem;
}

h2{
    font-size: 4rem;
}

h3{
    font-size: 3rem;
}

p{
    margin-top: 0;
}

@media screen and (min-width: 1024px){
    
    body{
        font-size: 1.8rem;
    }

    h1{
        font-size: 8rem;
    }

    h2{
        font-size: 4rem;
    }

    h3{
        font-size: 2.4rem;
    }
}

/* Links */

a{
    text-decoration: none;
}

/* Badges */

.badge{
    border-radius: var(--border-radius);
    font-size: 2rem;
    font-weight: 600;
    padding: 0.5rem 2rem;
    white-space: nowrap;
}

.badge--small{
    font-size: 1.6rem;
    padding: 0.5rem 1.5rem;
}

.badge--danger{
    background-color: red;
    color: #fff;
}

.badge--accent{
    background-color: var(--color-accent);
    color: #fff;
}

.badge--primary{
    background: var(--color-primary);
    color: #fff;
}

.badge--secondary{
    background: var(--color-secondary);
    color: #fff;
}

@media screen and (min-width: 1024px){

    .badge{
        font-size: 1.5rem;
    }

    .badge--small{
        font-size: 1.2rem;
    }
}

/* Lists */

.list{
    list-style: none;
    padding-left: 0;
    color: var(--color-headings);
}

.list--inline .list__item{
    display: inline-block;
    margin-right: 2rem;
}

.list--tick{
    list-style-image: url(../images/tick.svg);
    padding-left: 2rem;
}

.list--tick .list__item{
    padding-left: 0.5rem;
    margin-bottom: 1rem;
}

@media screen and (min-width: 1024px){

    .list--tick .list__item{
        padding-left: 0;
    }
}

/* Buttons */

.btn{
    border-radius: var(--border-radius);
    border: 0;
    cursor: pointer;
    font-size: 1.8rem;
    font-weight: 600;
    padding: 1.5rem 2.5rem;
    white-space: nowrap;
    text-align: center;
    margin: 1rem 0;
}

.btn--white{
    background: #fff;
    color: #000;
}

.btn--primary{
    background: var(--color-primary);
    color: #fff;
}

.btn--primary:hover{
    background: #18adde;
    color: #fff;
}

.btn--secondary{
    background: var(--color-secondary);
    color :#fff;
}

.btn--secondary:hover{
    background: #585859;
}

.btn--accent{
    background: var(--color-accent);
    color: #fff;
}

.btn--accent:hover{
    background: #f3693c;
}

.btn--block{
    width: 100%;
    display: inline-block;
}

.btn--outline{
    background: #fff;
    color: var(--color-headings);
    border: 2px solid var(--color-headings);
}

.btn--outline:hover{
    background: var(--color-headings);
    color: #fff;
}

.btn--stretched{
    padding-left: 6rem;
    padding-right: 6rem;
}

button[disabled]{
    opacity: 0.5;
}

@media screen and (min-width: 1024px){
    .btn{
        font-size: 1.5rem;
    }
}

/* Grid */

.grid{
    display: grid;
}

@media screen and (min-width: 768px){
    
    .grid--1x2{
        grid-template-columns: repeat(2, 1fr);
    }

}

@media screen and (min-width: 1024px){

    .grid--1x3{
        grid-template-columns: repeat(3, 1fr);
    }

    .grid--1x4{
        grid-template-columns: repeat(4, 1fr);
    }

}

/* Collapsible */

.collapsible__header{
    display: flex;
    justify-content: space-between;
}

.collapsible__heading{
    margin-top: 0;
    font-size: 3rem;
}

.collapsible__chevron{
    transform: rotate(-90deg);
    transition: transform 0.3s;
}

.collapsible__content{
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: all .3s;

}

.collapsible--expanded .collapsible__chevron{
    transform: rotate(0);
}

.collapsible--expanded .collapsible__content{
    max-height: 100vh;
    opacity: 1;

}

/* Input */

.input{
    padding: 1rem;
    border: 1px solid #ccc;
    outline: 0;
    border-radius: var(--border-radius);
    height: 50px;
    width: 100%;
}

::placeholder{
    opacity: .5;
}

.form__content .input-group{
    margin-bottom: 2rem;
}

/* Icons */

.icon{
    width: 40px;
    height: 40px;
}

.icon--primary{
    fill: var(--color-primary);
}

.icon--white{
    fill: #fff;
}

.icon-container{
    background: var(--color-primary);
    width: 120px;
    height: 120px;
    border-radius: 60px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.icon-container--accent{
    background: var(--color-accent);
}

/* Navigation */

/* .nav{
    background: #000;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 2rem;
} */
.nav__toggler{
    transform: translateY(6px);
}

.nav{
    background: #000;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 0.8rem 1rem;
    align-items: center;
    position: relative;
    width: 100%;
    height: 65px;
    margin-top:0;
    z-index: 1;
    border: 2px solid #eee;
}

.nav__brand>img{
    width: 120px;
}

.nav__list{
    width: 100%;
    margin: 0;
    background: #000;
    margin-top: 2.5rem;
}

.nav__item{
    padding: 1.1rem 2rem;
    border-bottom: 1px solid #eee;
}

.nav__item>a{
    color: #fff;
    transition: color .3s;
}

.nav__item>a:hover{
    color: #fff;
}

.nav__btn{
    padding: 1.5rem 1.7rem;
    vertical-align: super;
    margin-right: 1rem;
    font-size: 1.3rem;
}

.nav__icon{
    opacity: .5;
    transition: box-shadow .15s;
    cursor: pointer;
}

.nav.collapsible--expanded .nav__icon{
    opacity: 1;
    box-shadow: 0 0 10px 2px #666;
    border-radius: var(--border-radius);
}

.nav__icon, .nav__brand{
    transform: translateY(6px);
}

@media screen and (min-width: 768px){

    .nav__toggler{
        display: none;
    }
    
    .nav{
        /* padding: 2.5rem 14rem; */
        justify-content: flex-start;
    }

    .nav__icon{
        display: none;
    }

    .nav__brand{
        transform: translateY(0px);
    }

    .nav__list{
        width: auto;
        display: flex;
        font-size: 1.6rem;
        max-height: 100%;
        opacity: 1;
        padding: 0;
        margin-left: 5rem;
        margin-top: 0;
        
    }

    .nav__item{
        border: 0;
    }

    .nav__combined{
        order: 3;
        align-self: end;
    }
} 

/* Sub Nav */

.nav__sublist{
    position: absolute;
    top:5rem;
    background: #fff;
    border-radius: 7px;
    border: 1px solid #ddd;
    display: none;
}

.nav__subitem{
    border-bottom: 1px solid #eee;
    padding: 1rem;
}

.nav__subitem:last-child{
    border-bottom: 0;
}

.nav__subitem > a{
    color: #000;
    font-size: 1.5rem;
}

.dropdown--expanded > ul{
    display: block;
}

/*  Navigation V1 */

.b-nav{
    box-shadow: 0 0 25px 2px #ddd;
    display: none;
    margin-right: 2rem;
    height: 100vh;
}

.b-nav__item:first-child{
    margin-top: 0;
}

.b-nav__item{
    padding: 1.3rem;
    font-size: 1.8rem;
}

.b-nav__list{
    margin-top: 2rem;
}

.b-nav__brand > img{
    width: 150px;
    margin: 2rem;
    margin-bottom: 0;
}

.b-nav__item a{
    color: #2a2727;
    margin-left: 5px;
    
}

.b-nav__item a:hover{
    color: #000;
}

.b-nav__list .active{
    background: var(--color-primary);
}

.b-nav__list .active>a, .b-nav__list .active>svg{
   color: #fff;
}

.b-nav-icon--white{
    fill: #fff;
}

.b-nav-icon{
    fill: #000;
}

@media screen and (min-width: 786px){
    .b-nav{
        display: block;
    }

    .nav{
        display: none;
    }   
}

/* Card */

.card{
    border-radius: var(--border-radius);
    box-shadow: 0 0 20px 10px #f3f3f3;
    padding: 2.5rem;
}

.card__heading{
    margin-top: 0;
    color: var(--color-headings);
}

/* Stats */

.stats{
    display: flex;
    justify-content: space-between;
}

.stats__count{
    padding-top:1rem;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    display: inline-block;
}

/* Filters */

.filters, .filters-simple{
    gap: 2rem;
    margin-bottom: 1.5rem;
}

.dashboard-filters{
    gap: 2rem;
    /* justify-content: center; */
    /* justify-self: center; */
    margin: 2rem;
   
}

.filters button, .filters-simple button{
    margin-top: 0;
    margin-bottom: 0;
}

.filters_spacer{
    display: none;
}

.container__count{
    margin-top: 2rem;
    margin-bottom: 2rem;
}

@media screen and (min-width: 768px){
    
    .filters{
        grid-template-columns: 300px 300px 100px 1fr 120px;
    }

    .filters-simple{
        grid-template-columns: 300px 100px 100px 1fr 200px;
    }

    .dashboard-filters{
        grid-template-columns: 300px 300px 100px 100px;
        justify-content: center; 
    }

    .filters--items{
        grid-template-columns: 250px 180px 180px 180px 90px 90px 100px;
    }

    .filters_spacer{
        display: block;
    }

}


/* Table */

.table{
    width: 100%;
}
  
  .tr{
    display: grid;
    grid-template: auto / repeat(1, 1fr);
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid #eee;
  }
  
  .td{
    padding-top: 1rem;
    padding-bottom: 0;
  }
  
  header .tr{
    display: none;
    border-top: 1px solid #eee;
  }
  
  header .td{
    font-weight: bold;
  }

  .m-col{
    display: block;
    background-color: #eee;
    color: #000;
    padding: 1rem;
    white-space: nowrap;
    padding-left: 1rem;
  }

  .td__text{
    display: inline-block;
    padding-top: 1rem;
    padding-left: 1rem;
  }

  .non-collapsible{
    display: none;
  }

  @media screen and (min-width: 768px){
    
    .tr{
      grid-template: auto / repeat(auto-fit, minmax(10rem, 1fr));
    }
  
    .td{
        padding-bottom: 1rem; 
    }

    header .tr{
      display: grid;
    }

    .m-col{
        display: none;
    }
    
    .collapsible{
        display:inline-flex
    }

    .non-collapsible{
        display: grid;
        grid-template: auto / repeat(auto-fit, minmax(10rem, 1fr));
    }
  }

  /* Pagination */
  .pagination{
    display: grid;
    list-style-type: none;
    padding: 0;
    margin-top: 2rem;
    gap:1rem;
    grid-template: auto / repeat(auto-fit, minmax(3rem, 1fr));
  }

  .pagination__item>a{
    color: #000;
  }
  
  .pagination__item>a:hover{
    color: #fff;
  }

  .pagination__item{
    display: inline;
    padding: 1rem;
    padding-right: 1.5rem;
    padding-left: 1.5rem;
    border: 1px solid #eee;
    border-radius: var(--border-radius);
    margin-right: 1rem;
  }
  
  .pagination__item:hover{
    background: var(--color-primary);
    color: #fff;
    cursor: pointer;
  }
  
  .pagination__item:hover>a{
    color: #fff;
  }

  .active{
    background: var(--color-accent);
    color: #fff !important;
    padding: 1rem;
    border-radius: 7px;
  }

  .current-account{
    background: var(--color-primary);
    color: #fff !important;
    padding: 0.86rem;
    border-radius: 7px;
  }
  
  .pagination:first-child{
    border-top-left-radius: 7px;
    border-bottom-left-radius: 7px;
  }
  
  .pagination:last-child{
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
  }

  /* Form */

  .form input{
    margin-bottom: 1.5rem;;
  }

  .form__content{
    text-align: center;
  }

  @media screen and (min-width: 1024px){
   
    .form__content{
        text-align: left;
    }

  }

  /* Toaster */

  .toaster{
    position: absolute;
    top: 0;
    right: 0;
    padding: 1.5rem;
  }

  .toaster--primary{
    background: green;
    color: #fff;
  }

/* Main Container */

.working-area{
    padding: 2rem;
    padding-left: 0.5rem;
}

.container__heading{
    margin-top: 0;
    font-size: 4rem;
}

.report-heading{
    font-size: 3rem;
    margin-top: 2rem;
}

@media screen and (min-width: 1024px){
    .container{
        grid-template-columns: 220px repeat(auto-fit, minmax(10rem, 1fr));
    }
}

/* Stats */

.stats__heading{
    font-size: 3rem;
}

.stats__heading a{
    color: #000;
}

.stats__heading a:hover{
    color: #000;
}

.dashboard-stats{
    gap: 2rem;
}

.dashboard-accounts-stats{
    gap: 2rem;
    margin-top: 2rem;
}

.dashboard-accounts-stats__counter-container{
    display: flex;
    justify-content: space-evenly
}

.dashboard-accounts-stats__label{
    font-size: 3rem;
    margin: 0;
    color: #fff;
}

.dashboard-accounts-stats__heading{
    font-size:1.2rem;
    color: #fff;
    margin-left: 0.2rem;
    margin-top: 0.5rem;
}

.dashboard-graph{
    gap: 2rem;
    margin-top: 2rem;
}

/* Supplier Items */

.order-qty span{
   width: 40px;
   height: 40px;
   padding:0.5rem;
   margin-right: 1rem;
   display: inline-block;
}

.order-form{
    position: fixed;
    top: 0%;
    left: 0%;
    /* bring your own prefixes */
    /* transform: translate(-50%, -50%); */
    background: #fff;
    border: 1px solid #eee;
    box-shadow: 0 0 15px 5px #ddd;
    max-height: 600px;
    overflow: auto;
}

.order-form__label{
    margin-top: 1rem;
}

.order-form__grand-total-container{
    margin-top: 1rem;
    font-size: 2.5rem;

}

.order-form__grand-total-container div{
    border-bottom: 1px solid #eee;
    display: flex;
    justify-content: space-between;
}

.order-form__item-count{
    margin-top: 0;
    
}



@media screen and (min-width: 1024px){
    /* .supplier-items{
        grid-template-columns: 1fr 300px;
    } */
}

/* Receive Orders */

.receive-order-bottom{
    grid-template-columns: repeat(2, 1fr);
}

.receive-order-bottom__note{
    margin-right: 2rem;
}

.receive-order-bottom__stats-label{
    font-weight: bold;
}


.react-datepicker-wrapper{
    width: 100%;
}

.receive-order-form-container{
    padding-top: 0
}

.receive-order-form{
    gap: 2rem;
}

.receive-order-form button{
    width: 200px;
    height: 60px;
    margin-top:2.1rem;
}

.receive-order-bottom__note textarea{
    height: 100px;
}

@media screen and (min-width: 1024px){
    .filters--receive-orders{
        grid-template-columns: 300px 200px 100px 100px 1fr;
    }

    .receive-order-form button{
        height: 50px;
    }

}



/* Orders History */

@media screen and (min-width: 1024px){
    .filters--orders-history{
        grid-template-columns: 300px 200px 200px 100px 100px 1fr;
    }
}

/* Confirmation */

.confirmation{
    position: fixed;
    top: 50%;
    left: 50%;
    /* bring your own prefixes */
    transform: translate(-50%, -50%);
    background: #fff;
    border: 1px solid #eee;
    box-shadow: 0 0 15px 5px #ddd;
}

/* Statuses */

.enabled{
    background: green;
    color: #fff;
}


.disabled{
    background: var(--color-accent);
    color: #fff
}

/* Small Screen */

.small-screen-item{
    border-bottom: 1px solid #eee;
    padding: 1rem;
    padding-left: 0;
    padding-bottom: 0;

}

/* Order Detail */

.order-detail__cancel{
    margin-right: 1rem;
}

.order-detial__item{
    padding: 1rem;
}

.order-detial__item:nth-child(odd){
    background: #f8f8f8;
}

/* Login Form */

.form-login{
    padding-left: 0;
    margin-left: 0;
    text-align: center;
    margin-top:15rem;
}

.form-login__logo, .form-login .input{
    margin-bottom: 2rem;
    max-width: 300px;
}

.form .error{
    color: red;
    margin-bottom: 1rem;
    background: none;
    font-size: 1.2rem;
}

/* Dialogue */

 .dialogue{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    border: 1px solid #eee;
    box-shadow: 0 0 15px 5px #ddd;
    z-index: 999999;   
} 

.dialogue--warning{
    background: yellow;
    color: #000;
}

/* Order Counter */

.order-form__item{
    padding: 1rem;
    border-bottom: 1px solid #eee;
    padding-bottom: 0;
}

.order-form__item-header{
    display: flex;
    justify-content:start;
    align-items: center;
}

.order-form__item-qty{
    width: 25px;
    padding-left: 0.5rem;
    padding-top: 0;
    padding-bottom: 0;
    margin-right: 1rem;
}

.order-form__buttons{
    display: flex;
    justify-content: center;
}

.order-form__buttons button{
    width: 30px;
    height: 30px;
    padding: 0;
}

.order-form__item-price{
    display: flex;
    align-items: center;
    margin-left: 1rem;
}

@media screen and (min-width: 768px){
    .order-form__item-qty{
        padding-left: 1rem;
    }
}

/* Outlet Subscribe */


#formPay button{
    border-radius: var(--border-radius);
    border: 0;
    cursor: pointer;
    font-size: 1.8rem;
    font-weight: 600;
    padding: 1.5rem 2.5rem;
    white-space: nowrap;
    text-align: center;
    margin: 1rem 0;
    background: var(--color-primary);
    color: #fff;
    margin-top:2rem;
}

.payments__area{
   text-align: center;
}

.payments__total{
    text-align: right;
    padding: 2rem;
    padding-right: 0;
    font-size: 3rem;
}

.payments img{
    border: 1px solid #eee;
    border-radius: var(--border-radius);
}

.payments label{
    font-size: 2rem;
}

@media screen and (min-width: 1024px){

    #formPay{
        width: 50%;
        margin-top: 2rem;
        
    }
}

/* Module Specific */

.module-records-count{
    font-size: 1.5rem;
    text-align: left;
}

.module-records-count__counter{
    font-weight: bold;
    margin: 0.5rem;
}

/* Reports Filtes */

.report-filters{
    justify-content: center;
}



@media screen and (min-width: 768px){

    .report-filters button{
        margin: 0;
        margin-left:2rem;
    }

    .report-filters{
        grid-template-columns:  300px 150px ;
    }

}

/* Scrap Report */

.scrap-report{
    margin-top: 2rem;
}

.scrap-report__print{
    text-align: center;
    font-size: 1.5rem;
}

.scrap-report__ob, .scrap-report__cb{
    text-align: right;
    font-size: 1.5rem;
}

.scrap-report__cb-amount{
    font-weight: bold;
}

/* Receivealbe Report, Income Report */

.receiveable-filters, .income-filters, .account-detail-page-simple-filters{
    justify-content: center;
}

.receiveable-filters button, .receiveable-filters input,.receiveable-filters select, .income-filters button, .account-detail-page-filters button,.account-detail-page-simple-filters button{
    margin: 0;
    margin-bottom: 2rem;
}

.account-detail-page-filters button{
    margin-bottom: 0;
}

.account-detail-page-filters{
    justify-content: center;
    margin-top: 2rem;
    margin-bottom: 2rem;
    gap: 1rem;
}

@media screen and (min-width: 768px){

    .receiveable-filters button{
        margin: 0;
        margin-left: 2rem;
    }

    .receiveable-filters input{
        margin-bottom: 0px;
    }
    
    .receiveable-filters{
        grid-template-columns: 250px 20px 250px 20px 250px 130px 130px;
    }

    .income-filters{
        grid-template-columns: 250px 20px 250px 20px 250px 20px 130px;
    }

    .account-detail-page-filters{
        grid-template-columns: 250px 20px 250px 20px 120px 10px 120px;
    }
    .account-detail-page-simple-filters{
        grid-template-columns: 250px 20px 120px 10px 120px;
    }

}

/* Monthly Reports */

.monthly-report-filters{
    justify-content: center;
}

.monthly-report-filters button{
    margin: 0;
}

@media screen and (min-width: 768px){

    .monthly-report-filters{
        grid-template-columns: 250px 20px 250px 20px 150px;
    }

}

/* Salary Report */

.salary-report-filters{
    justify-content: center;
}

.salary-report-filters button{
    margin: 0;
}

@media screen and (min-width: 768px){

    .salary-report-filters{
        grid-template-columns: 250px 20px 250px 20px 250px 20px 150px;
    }

}

/* Add Salary */

.add-salary-filters{
    justify-content: center;
}

.add-salary-filters button{
    margin: 0;
}

@media screen and (min-width: 768px){
    .add-salary-filters{
        grid-template-columns: 250px 20px 250px 20px 150px;
    }
}

.dashboard-accounts-stats-table{
    margin-top:2rem;
}

/* Detail Page */

.detail-basic-info{
    gap: 2rem;
}

.detail-basic-info__unit{
    border: 1px solid #eee;
    padding-top:0;
}

.detail-basic-info__unit-heading{
    background: var(--color-primary);
    color: #fff;
    position: relative;
    top: 0px;
    text-align:center;
    width: auto;
    padding-top:0.5rem;
    padding-bottom: 0.5rem;
    width: 200px;
    margin: auto;
}

.detail-basic-info__unit-value{
    text-align: center;
    padding:12px
}

.account-detail-page-btn{
    display: inline-block;
}

.account-detail-page-title{
    margin-top: 2rem;
}

.account-detail-page-table{
    margin: 0 !important;
}

.account-detail-page-stats{
    justify-content: center;
    gap: 2rem;
}

.account-detail-page-stats__icon{
    justify-self: center;
}
.account-detail-page-stats__icon{
    width: 200px;
    height: 200px;
    border-radius: 100px;
}

@media screen and (min-width: 768px){
    .account-detail-page-stats{
        max-width: 750px;
        margin: auto;
    }
}

.c_container {
    display: flex;
    justify-content: space-between;
}
  
.c_column {
    width: 45%; /* Adjust based on desired column width */
}

.c_field {
    margin-bottom: 15px;
}